unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.StdCtrls, WEBLib.StdCtrls, Data.DB,
  XData.Web.JsonDataset, XData.Web.Dataset, WEBLib.DB, Vcl.Controls;

type
  TForm1 = class(TWebForm)
    JsonMemo: TWebMemo;
    WDS_Sprache: TWebDataSource;
    xWDS_Sprache: TXDataWebDataSet;
    xWDS_Spracheid_sprache: TIntegerField;
    xWDS_Sprachesprache_text: TStringField;
    xWDS_Sprachesprache_img: TStringField;
    xWDS_Sprachetitel_login_company: TStringField;
    xWDS_Sprachetitel_login_newreg: TStringField;
    xWDS_Sprachetitel_login_vmeldung: TStringField;
    xWDS_Sprachetitel_login_bmanagement: TStringField;
    xWDS_Sprachelabel_company_mail_login: TStringField;
    xWDS_Sprachelabel_company_passwort_login: TStringField;
    xWDS_Sprachelabel_support_company_login: TStringField;
    xWDS_Sprachelabel_vmeldung_mail_login: TStringField;
    xWDS_Sprachelabel_vmeldung_button_login: TStringField;
    xWDS_Sprachelabel_support_vmeldung_login: TStringField;
    xWDS_Sprachelabel_bmanagement_mail_login: TStringField;
    xWDS_Sprachelabel_bmanagement_button_login: TStringField;
    xWDS_Sprachelabel_support_bmanagement_login: TStringField;
    xWDS_Sprachelabel_newreg_button_login: TStringField;
    xWDS_Sprachelabel_support_newreg_login: TStringField;
    xWDS_Sprachelabel_company_button_login: TStringField;
    xWDS_Sprachebutton_company_qr_login: TStringField;
    xWDS_Sprachelbl_CompanyName: TStringField;
    xWDS_Sprachelbl_Anschrift1: TStringField;
    xWDS_Sprachelbl_Anschrift2: TStringField;
    xWDS_Sprachelbl_land: TStringField;
    xWDS_Sprachelbl_plz: TStringField;
    xWDS_Sprachelbl_telefon: TStringField;
    xWDS_Sprachelbl_durchwahl: TStringField;
    xWDS_Sprachelbl_mailadmin: TStringField;
    xWDS_Sprachelbl_usteuerid: TStringField;
    xWDS_Sprachebtn_logo: TStringField;
    xWDS_Sprachebtn_for: TStringField;
    xWDS_Sprachebtn_back: TStringField;
    xWDS_Sprachebtn_uploadapartner: TStringField;
    xWDS_Sprachebtn_sepavorlage: TStringField;
    xWDS_Sprachebtn_sepasigned: TStringField;
    xWDS_Sprachelbl_mailrechnung: TStringField;
    xWDS_Sprachelbl_bank: TStringField;
    xWDS_Sprachelbl_maillogin: TStringField;
    xWDS_Sprachelbl_passwortlogin1: TStringField;
    xWDS_Sprachelbl_passwortlogin2: TStringField;
    xWDS_Sprachelbl_passwortapartner1: TStringField;
    xWDS_Sprachelbl_passwortapartner2: TStringField;
    xWDS_Sprachelbl_iban: TStringField;
    xWDS_Sprachelbl_bic: TStringField;
    xWDS_Sprachebtn_save: TStringField;
    xWDS_Sprachelbl_verwendung: TStringField;
    xWDS_Sprachepnl_visitmaintitle: TStringField;
    WebButton1: TWebButton;
    Edit_Sprache: TWebEdit;
    WebLabel1: TWebLabel;
    WebButton2: TWebButton;
    procedure WebButton1Click(Sender: TObject);
    procedure WebButton2Click(Sender: TObject);
  private
    { Private-Deklarationen }
    procedure JSON_DataSet(DataSet: TXDataWebDataSet; Response_Text: string);
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.JSON_DataSet(DataSet: TXDataWebDataSet; Response_Text: string);
var   JSAry: TJSArray;
begin
   JSAry := TJSArray(TJSJson.Parse(Response_Text));
   DataSet.Close;
   DataSet.SetJsonData(JSAry);
   DataSet.Open;
end;

procedure TForm1.WebButton1Click(Sender: TObject);
var   Response_Text: string;
begin
   Response_Text:=JsonMemo.Lines.Text;
   JSON_DataSet(xWDS_Sprache, Response_Text);
end;

procedure TForm1.WebButton2Click(Sender: TObject);
begin
   Edit_Sprache.Text:= xWDS_Sprachesprache_text.AsString;
end;

end.